const base_url = "https://oss110metz.rezo-rm.fr/"

function show_page(id) {
    $('#main-page').hide();
    $('#admin-page').hide();
    $('#login-page').hide();
    $('#demande-page').hide();
    $(id).show();
}

$(window).on("load", function() {

    /* load timer */
    window.setInterval(function() {
        var time = $("#timer").text();
        var t = time.split(":").map(t => parseInt(t));
        t[2] -= 1;
        if (t[2] < 0) {
            t[2] = 59;
            t[1] -= 1;
        }
        if (t[1] < 0) {
            t[1] = 59;
            t[0] -= 1;
        }
        if (t[0] < 0) {
            t[0] = 0;
            t[1] = 0;
            t[2] = 0;
        }
        $("#timer").text((new Date('December 17, 1995 ' + t.join(':'))).toLocaleTimeString('default', {
            hour: '2-digit',
            minute: '2-digit',
            second: '2-digit'
        }));
    }, 1000);

    $("#login-form").submit(function (e) {
        e.preventDefault();
        var data = JSON.stringify({
            user: $("#login").val(),
            password: $("#password").val()
        });
        $.ajax({
            type: "POST",
            url: base_url + "login",
            data: data,
            contentType: "application/json; charset=utf-8",
            dataType: "json",

            success: function (data) {
                if(data.success) {
                    localStorage.setItem("token", data.token);
                    localStorage.setItem("user", data.user);
                    show_page('#demande-page');
                } else {
                    
                }

            }
        });

    });

    $("#prank-button").click(function () {
        if(localStorage.getItem('token')) {
            show_page('#demande-page');
        }
        else {
            show_page('#login-page');
        }
    });
});

